=== debian/changelog ===
ros-humble-turtlebot4-node (1.0.3-1jammy) jammy; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Wed, 31 May 2023 04:00:00 -0000

ros-humble-turtlebot4-node (1.0.2-1jammy) jammy; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 15 May 2023 04:00:00 -0000

ros-humble-turtlebot4-node (1.0.1-1jammy) jammy; urgency=high

  * Force 1HZ update on display
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 28 Feb 2023 05:00:00 -0000

ros-humble-turtlebot4-node (1.0.0-1jammy) jammy; urgency=high

  * Updates for new DepthAI node.
  * Linter fixes
  * Separated RPLIDAR Motor function into stop/start
  * Added OAKD stop/start function
  * Added power saver option
  * Update display only when something has changed
  * Function calls
  * Namespacing
  * Flash Comms LED based on high frequency wheel status feedback instead of low frequency battery state
  * Move comms_timer() from battery_callback() to wheel_status_callback()
  * Updated dock action
  * Contributors: Joey Yang, Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Fri, 17 Feb 2023 05:00:00 -0000

ros-humble-turtlebot4-node (0.1.2-1jammy) jammy; urgency=high

  * Added support for Empty service
  * Added RPLIDAR motor stop service as a function option
  * Added timeouts to services (defaults to 30s)
  * Updated rclcpp action api
  * Contributors: Daisuke Nishimatsu, Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 15 Sep 2022 04:00:00 -0000

ros-humble-turtlebot4-node (0.1.1-1jammy) jammy; urgency=high

  * Merge pull request #7 <https://github.com/turtlebot/turtlebot4/issues/7> from turtlebot/roni-kreinin/linters
    Fixed linter errors
  * Fixed linter errors
  * Contributors: Roni Kreinin, roni-kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 12 Jul 2022 04:00:00 -0000

ros-humble-turtlebot4-node (0.1.0-1jammy) jammy; urgency=high

  * First Galactic release
  * Contributors: Roni Kreinin, ahcorde

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 03 May 2022 04:00:00 -0000
